--- old/usr/src/uts/common/disp/fx.c	sam. juil. 16 15:13:50 2016
+++ new/usr/src/uts/common/disp/fx.c	sam. juil. 16 15:13:50 2016
@@ -67,7 +67,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlsched, NULL
+	MODREV_1, { (void *)&modlsched, NULL }
 };
 
 
@@ -204,41 +204,41 @@
 
 static struct classfuncs fx_classfuncs = {
 	/* class functions */
-	fx_admin,
-	fx_getclinfo,
-	fx_parmsin,
-	fx_parmsout,
-	fx_vaparmsin,
-	fx_vaparmsout,
-	fx_getclpri,
-	fx_alloc,
-	fx_free,
+	{   fx_admin,
+	    fx_getclinfo,
+	    fx_parmsin,
+	    fx_parmsout,
+	    fx_vaparmsin,
+	    fx_vaparmsout,
+	    fx_getclpri,
+	    fx_alloc,
+	    fx_free },
 
 	/* thread functions */
-	fx_enterclass,
-	fx_exitclass,
-	fx_canexit,
-	fx_fork,
-	fx_forkret,
-	fx_parmsget,
-	fx_parmsset,
-	fx_stop,
-	fx_exit,
-	fx_nullsys,	/* active */
-	fx_nullsys,	/* inactive */
-	fx_swapin,
-	fx_swapout,
-	fx_trapret,
-	fx_preempt,
-	fx_setrun,
-	fx_sleep,
-	fx_tick,
-	fx_wakeup,
-	fx_donice,
-	fx_globpri,
-	fx_nullsys,	/* set_process_group */
-	fx_yield,
-	fx_doprio,
+	{   fx_enterclass,
+	    fx_exitclass,
+	    fx_canexit,
+	    fx_fork,
+	    fx_forkret,
+	    fx_parmsget,
+	    fx_parmsset,
+	    fx_stop,
+	    fx_exit,
+	    fx_nullsys,	/* active */
+	    fx_nullsys,	/* inactive */
+	    fx_swapin,
+	    fx_swapout,
+	    fx_trapret,
+	    fx_preempt,
+	    fx_setrun,
+	    fx_sleep,
+	    fx_tick,
+	    fx_wakeup,
+	    fx_donice,
+	    fx_globpri,
+	    fx_nullsys,	/* set_process_group */
+	    fx_yield,
+	    fx_doprio },
 };
 
 
